# Check Self-Ship Collection Availability **POST /self_ship_collection_availability_checks** **Availability: Public Preview** _This endpoint is currently in public preview and available only to approved accounts._ _Please contact Arta to request access for your organization._ Check carrier pickup availability for a given location, service, and date ## Servers - https://api.arta.io: https://api.arta.io () ## Parameters ### Headers - **Authorization** (string) Authorize your API calls with an Arta API token ### Body: application/json (object) - **self_ship_collection_availability_check** (object) ## Responses ### 200 Available pickup slots for the given parameters #### Headers - **content-type** (string) - **x-arta-request-id** (string) A unique identifier for the Arta API call #### Body: application/json (object) - **availabilities** (array[object]) Available pickup slots. May be empty if no slots are available. - **collection_date** (string(date)) The date that was checked for availability (`YYYY-MM-DD`) - **location** (object) The pickup location that was checked - **service** (object) The carrier service that was checked ### 400 Bad Request #### Headers - **content-type** (string) - **x-arta-request-id** (string) A unique identifier for the Arta API call #### Body: application/json (object) - **errors** (object) ### 403 Forbidden ### 422 Unprocessable entity #### Body: application/json (object) - **errors** (object) [Powered by Bump.sh](https://bump.sh)